dbXML API

## com.dbxml.db.client.local
Class dbXMLClientImpl

    java.lang.Object
      com.dbxml.db.client.local.dbXMLClientImpl

All Implemented Interfaces:
  dbXMLClient

public class dbXMLClientImpl
extends java.lang.Object
implements dbXMLClient

dbXMLClientImpl

Field Summary

Fields inherited from interface com.dbxml.db.client.dbXMLClient
`ALT_HOST, ALT_PASS, ALT_PORT, ALT_USER, HOST, PASS, PORT, USER`

Constructor Summary
`dbXMLClientImpl()`

Method Summary
`void` `connect()` connect instructs the client to connect to the server.
`void` `disconnect()` disconnect instructs the client to disconnect from the server.
`CollectionClient` `getCollection(java.lang.String path)` getCollection returns the CollectionClient defined by the specified path.
`ContentClient` `getContent(java.lang.String path)` getContent returns the ContentClient defined by the specified path.
`CollectionClient` `getDatabase()` getDatabase returns the Database instance as a CollectionClient.
`java.util.Map` `getProperties()` getProperties returns the entire set of client properties.
`java.lang.String` `getProperty(java.lang.String name)` getProperty returns a connection property from the client.
`java.lang.String` `getServerVersion()` getServerVersion returns a string that includes the name and current version of the server that is currently connected.
`java.lang.String[]` `listProperties()` listProperties returns a list of the connection property names for the client.
`void` `setProperty(java.lang.String name, java.lang.String value)` setProperty sets a connection property for the client.
`void` `shutdown(int exitCode)` shutdown shuts down the server with the specified exit code.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### dbXMLClientImpl

    public dbXMLClientImpl()

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Description copied from interface: `dbXMLClient`
  setProperty sets a connection property for the client. Properties should be set before calling the connect method.

  Specified by:
    `setProperty` in interface `dbXMLClient`
  Parameters:
    `name` - The property name
    `value` - The property value

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Description copied from interface: `dbXMLClient`
  getProperty returns a connection property from the client.

  Specified by:
    `getProperty` in interface `dbXMLClient`
  Parameters:
    `name` - The property name
  Returns:
    The property value

### listProperties

    public java.lang.String[] listProperties()

  Description copied from interface: `dbXMLClient`
  listProperties returns a list of the connection property names for the client.

  Specified by:
    `listProperties` in interface `dbXMLClient`
  Returns:
    The property list

### getProperties

    public java.util.Map getProperties()

  Description copied from interface: `dbXMLClient`
  getProperties returns the entire set of client properties.

  Specified by:
    `getProperties` in interface `dbXMLClient`
  Returns:
    The properties

### connect

    public void connect()
                 throws dbXMLException

  Description copied from interface: `dbXMLClient`
  connect instructs the client to connect to the server.

  Specified by:
    `connect` in interface `dbXMLClient`
  Throws:
    `dbXMLException`

### disconnect

    public void disconnect()
                    throws dbXMLException

  Description copied from interface: `dbXMLClient`
  disconnect instructs the client to disconnect from the server.

  Specified by:
    `disconnect` in interface `dbXMLClient`
  Throws:
    `dbXMLException`

### getServerVersion

    public java.lang.String getServerVersion()
                                      throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getServerVersion returns a string that includes the name and current version of the server that is currently connected.

  Specified by:
    `getServerVersion` in interface `dbXMLClient`
  Returns:
    The server version
  Throws:
    `dbXMLException`

### shutdown

    public void shutdown(int exitCode)
                  throws dbXMLException

  Description copied from interface: `dbXMLClient`
  shutdown shuts down the server with the specified exit code.

  Specified by:
    `shutdown` in interface `dbXMLClient`
  Parameters:
    `exitCode` - The exit code to use
  Throws:
    `dbXMLException`

### getDatabase

    public CollectionClient getDatabase()
                                 throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getDatabase returns the Database instance as a CollectionClient.

  Specified by:
    `getDatabase` in interface `dbXMLClient`
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getCollection

    public CollectionClient getCollection(java.lang.String path)
                                   throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getCollection returns the CollectionClient defined by the specified path.

  Specified by:
    `getCollection` in interface `dbXMLClient`
  Parameters:
    `path` - The Collection path
  Returns:
    The CollectionClient
  Throws:
    `dbXMLException`

### getContent

    public ContentClient getContent(java.lang.String path)
                             throws dbXMLException

  Description copied from interface: `dbXMLClient`
  getContent returns the ContentClient defined by the specified path.

  Specified by:
    `getContent` in interface `dbXMLClient`
  Parameters:
    `path` - The Document path
  Returns:
    The ContentClient
  Throws:
    `dbXMLException`

dbXML API

Copyright (c) 2004 The dbXML Group